Members
Retrieve a collection of call pickup group members.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwResponses
200
OK
application/json
4XX
Error
get
/call_pickup_groups/{id}/membersUpdate call pickup group member list.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwBody
itemsstring[]Optional
Collection of member's extension number.
Responses
200
OK
No content
4XX
Error
post
/call_pickup_groups/{id}/membersNo content
Check if extension is in call pickup group.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwextension_numberstring · min: 3 · max: 64RequiredPattern:
The extension number.
[0-9]{3,64}Responses
200
OK
application/json
idstringOptionalExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwnamestring · min: 1 · max: 64Optional
The user's account name.
Only letters, numbers, and the following special characters can be added: underscore, dash, single quote, and period (_, -, ', and .).
Username cannot start or end with period (.).
admin, system, administrator, and root are reserved names for system admin only with case ignored.
display_namestring · max: 1024Optional
The display name of user.
extension_numberstring · min: 3 · max: 64OptionalPattern:
The extension number.
[0-9]{3,64}404
Not Found
get
/call_pickup_groups/{id}/members/{extension_number}